/**
* PeerTube
* # Introduction  The PeerTube API is built on HTTP(S). Our API is RESTful. It has predictable resource URLs. It returns HTTP response codes to indicate errors. It also accepts and returns JSON in the HTTP body. You can use your favorite HTTP/REST library for your programming language to use PeerTube. No official SDK is currently provided, but the spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ``` 
*
* The version of the OpenAPI document: 2.0.0
* 
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/
package peertube-api.models

import peertube-api.models.VideoAccountSummary
import peertube-api.models.VideoChannelSummary
import peertube-api.models.VideoConstantNumber
import peertube-api.models.VideoConstantString
import peertube-api.models.VideoPrivacyConstant
import peertube-api.models.VideoScheduledUpdate
import peertube-api.models.VideoStateConstant
import peertube-api.models.VideoUserHistory

import com.squareup.moshi.Json
/**
 * 
 * @param id 
 * @param uuid 
 * @param createdAt 
 * @param publishedAt 
 * @param updatedAt 
 * @param originallyPublishedAt 
 * @param category 
 * @param licence 
 * @param language 
 * @param privacy 
 * @param description 
 * @param duration 
 * @param isLocal 
 * @param name 
 * @param thumbnailPath 
 * @param previewPath 
 * @param embedPath 
 * @param views 
 * @param likes 
 * @param dislikes 
 * @param nsfw 
 * @param waitTranscoding 
 * @param state 
 * @param scheduledUpdate 
 * @param blacklisted 
 * @param blacklistedReason 
 * @param account 
 * @param channel 
 * @param userHistory 
 */

data class Video (
    @Json(name = "id")
    val id: java.math.BigDecimal? = null,
    @Json(name = "uuid")
    val uuid: kotlin.String? = null,
    @Json(name = "createdAt")
    val createdAt: kotlin.String? = null,
    @Json(name = "publishedAt")
    val publishedAt: kotlin.String? = null,
    @Json(name = "updatedAt")
    val updatedAt: kotlin.String? = null,
    @Json(name = "originallyPublishedAt")
    val originallyPublishedAt: kotlin.String? = null,
    @Json(name = "category")
    val category: VideoConstantNumber? = null,
    @Json(name = "licence")
    val licence: VideoConstantNumber? = null,
    @Json(name = "language")
    val language: VideoConstantString? = null,
    @Json(name = "privacy")
    val privacy: VideoPrivacyConstant? = null,
    @Json(name = "description")
    val description: kotlin.String? = null,
    @Json(name = "duration")
    val duration: java.math.BigDecimal? = null,
    @Json(name = "isLocal")
    val isLocal: kotlin.Boolean? = null,
    @Json(name = "name")
    val name: kotlin.String? = null,
    @Json(name = "thumbnailPath")
    val thumbnailPath: kotlin.String? = null,
    @Json(name = "previewPath")
    val previewPath: kotlin.String? = null,
    @Json(name = "embedPath")
    val embedPath: kotlin.String? = null,
    @Json(name = "views")
    val views: java.math.BigDecimal? = null,
    @Json(name = "likes")
    val likes: java.math.BigDecimal? = null,
    @Json(name = "dislikes")
    val dislikes: java.math.BigDecimal? = null,
    @Json(name = "nsfw")
    val nsfw: kotlin.Boolean? = null,
    @Json(name = "waitTranscoding")
    val waitTranscoding: kotlin.Boolean? = null,
    @Json(name = "state")
    val state: VideoStateConstant? = null,
    @Json(name = "scheduledUpdate")
    val scheduledUpdate: VideoScheduledUpdate? = null,
    @Json(name = "blacklisted")
    val blacklisted: kotlin.Boolean? = null,
    @Json(name = "blacklistedReason")
    val blacklistedReason: kotlin.String? = null,
    @Json(name = "account")
    val account: VideoAccountSummary? = null,
    @Json(name = "channel")
    val channel: VideoChannelSummary? = null,
    @Json(name = "userHistory")
    val userHistory: VideoUserHistory? = null
) 



